aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2019-01-12 11:23:14 +0100
committerAstroFloyd <AstroFloyd@gmail.com>2019-01-12 11:23:14 +0100
commit498ba8da07cc483e254e645c8847141a0749351f (patch)
tree6170235ec88c6fb4c88ecef1eb35da4de82d395f /dev-perl/html2latex/html2latex-1.1-r2.ebuild
parentx11-libs/qwtpolar: revision bump to v1.1.1-r5 (diff)
downloadAstroFloyd-498ba8da07cc483e254e645c8847141a0749351f.tar.gz
AstroFloyd-498ba8da07cc483e254e645c8847141a0749351f.tar.bz2
AstroFloyd-498ba8da07cc483e254e645c8847141a0749351f.zip
dev-perl/html2latex: revision bump to v1.1-r2
* dev-perl/html2latex: revision bump to v1.1-r2: + from -r1, taken from Portage + fixes https://bugs.gentoo.org/484432 + see also https://forums.gentoo.org/viewtopic-p-8299966.html Signed-off-by: AstroFloyd <AstroFloyd@gmail.com> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-perl/html2latex/html2latex-1.1-r2.ebuild')
-rw-r--r--dev-perl/html2latex/html2latex-1.1-r2.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-perl/html2latex/html2latex-1.1-r2.ebuild b/dev-perl/html2latex/html2latex-1.1-r2.ebuild
new file mode 100644
index 0000000..4989a91
--- /dev/null
+++ b/dev-perl/html2latex/html2latex-1.1-r2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Perl script to convert HTML files into formatted LaTeX"
+HOMEPAGE="http://html2latex.sourceforge.net/"
+SRC_URI="mirror://sourceforge/html2latex/${P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="imagemagick libwww"
+
+DEPEND="dev-perl/HTML-Tree
+ dev-perl/XML-Simple
+ imagemagick? ( media-gfx/imagemagick )
+ libwww? ( dev-perl/libwww-perl )"
+
+src_configure() {
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_configure
+}
+
+src_compile() {
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_compile
+}
+
+src_install() {
+ dobin html2latex
+ doman html2latex.1
+ dodoc README TODO
+
+ # HTML::LaTex
+ cd HTML
+ perl-module_src_install
+ rm unwanted README.win
+ rm $(find "${D}" -name README.win.txt) || die
+}